EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [options] input_file [output_file]

Refinar livros serve para colocar um pouco mais de perfeição nos seus preciosos livros digitais. O refinamento tenta minimizar as alterações no código interno do seu livro digital. Ao contrario da conversão, não faz grandes alterações tais como achatar CSS, renomear ficheiros, alterar o tamanho da letra, ajustar as margens, etc. Cada ação realizada faz apenas o conjunto mínimo das alterações necessárias para o efeito desejado. Deve usar esta ferramenta como o passo final no processo de criação de livros digitais.

Note que o refinamento só funciona em livros nos formatos AZW3 ou EPUB ou KEPUB.

Sempre que passar argumentos para o ebook-polish que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

    --add-soft-hyphens, -H
        Adiciona hífenes discricionários a todas as palavras no livro. Tal permite que o livro seja melhor processado quando o texto for justificado em leitores que não suportam hifenização.

    --compress-images, -i
        Comprimir sem perdas as imagens no livro para reduzir o tamanho do ficheiro e sem afetar a qualidade percetível das imagens.

    --cover, -c
        Caminho para a imagem de capa. Altera a capa especificada no livro digital. Se a capa não estiver presente ou não estiver identificada corretamente, será inserida uma nova capa.

    --download-external-resources, -d
        Descarregar recursos externos, tais como imagens, folhas de estilo, etc., que apontem para URL em vez de ficheiros no livro. Todos esses recursos serão descarregados e adicionados ao livro de tal forma que o livro deixe de fazer referência a recursos externos.

    --embed-fonts, -e
        Incorporar todos os tipos de letra que sejam referenciados no documento e ainda não estejam incorporados. Isto irá procurar no seu computador pelos tipos de letra e, desde que sejam encontrados, vão ser incorporados no documento. Por favor, certifique-se que possui uma licença adequada para incorporar os tipos de letra utilizados neste documento.

    --help, -h
        mostrar esta mensagem de ajuda e sair

    --jacket, -j
        Insere uma página de "sobrecapa" no inicio do livro, mas após a capa, para apresentar todos os metadados padrão tal como o título, etiquetas, autor, séries, comentários, etc. Qualquer sobrecapa anterior será substituída.

    --opf, -o
        Localização do ficheiro OPF. Os metadados do livro são atualizados a partir do ficheiro OPF.

    --remove-jacket
        Remover a sobrecapa inserida anteriormente.

    --remove-soft-hyphens
        Remover hífenes discricionários de todo o texto no livro.

    --remove-unused-css, -u
        Remover todas as regras CSS de folhas de estilo e etiquetas de <estilo> não utilizadas. Alguns livros, criados a partir de modelos de produção, podem ter um grande número de regras CSS extra que não correspondem a qualquer conteúdo atual. Estas regras extra podem tornar mais lentos os dispositivos leitores porque terão de as analisar todas.

    --smarten-punctuation, -p
        Converter traços de texto, reticências, aspas, hífenes múltiplos, etc, nos seus equivalentes tipograficamente corretos. Note que o algoritmo poderá, por vezes, produzir resultados incorretos, especialmente quando estejam envolvidas aspas simples no começo das contrações.

    --subset-fonts, -f
        Segmentar tipos de letra significa reduzir um tipo de letra incorporado para conter apenas os caracteres utilizados no livro do ficheiro desse tipo de letra. Isto reduz consideravelmente o tamanho dos ficheiros de tipos de letra (em relação ao ficheiro do tipo de letra a redução pode ser de metade). Por exemplo, se o livro usa um tipo de letra específico para os cabeçalhos, então ao segmentar tipos de letra irá reduzir esse tipo de letra para conter apenas os caracteres presentes nos cabeçalhos atuais no livro. Ou, se o livro incorporar as versões em negrito e itálico de um tipo de letra, mas o uso de texto em negrito e itálico é relativamente raro, ou mesmo ausente, então os tipos de letra em negrito e itálico podem ser reduzidos para apenas alguns caracteres ou completamente removidas. A única desvantagem da segmentação de tipos de letra é que se, mais tarde, decidir adicionar mais texto aos seus livros, o texto recém-adicionado pode não ser totalmente abrangido pelo subconjunto de tipo de letra.

    --upgrade-book, -U
        Atualizar as estruturas internas do livro, se possível. Por exemplo, atualizar livros EPUB 2 para livros EPUB 3

    --verbose
        Produz saída de dados mais detalhada, útil para a depuração.

    --version
        mostrar o número da versão do programa e sair

Author
Kovid Goyal

Copyright
Kovid Goyal